images:
  repository: docker.io/qdrant/qdrant
  tag: v1.12.4

replicaCount: 1

nodeSelector: {}
tolerations: []
resources: {}

persistence:
  accessModes: ["ReadWriteOnce"]
  size: 10Gi
  storageClassName: ""

config:
  log_level: INFO
  cluster:
    enabled: true
    p2p:
      port: 6335
    consensus:
      tick_period_ms: 100

apiKey: false
readOnlyApiKey: false

ingress:
  enabled: true
  ingressClassName: "apisix"
  annotations:
    cert-manager.io/cluster-issuer: "root-ca-issuer"
    cert-manager.io/duration: 8760h
    cert-manager.io/renew-before: 720h
    k8s.apisix.apache.org/plugin-config-name: oidc-keycloak-authz
  hosts:
    - host: "{{ .Name }}.{{ .Domain }}"
      paths:
        - path: /
          pathType: Prefix
          servicePort: 6333
  tls:
    - hosts:
        - "{{ .Name }}.{{ .Domain }}"
      secretName: "{{ .Name }}-tls-secret"

dip:
  mainPath: dashboard      